Imports Memento

Namespace BankDemo.Cqrs.CommandStack.Commands
	Public Class RequestNewBankAccountCommand
		Inherits Command

		Public Sub New(ByVal name As String, ByVal age As Integer, ByVal isNew As Boolean)
			FullName = name
			Me.Age = age
			Me.IsNew = isNew
		End Sub

		Private privateAge As Integer
		Public Property Age As Integer
			Get
				Return privateAge
			End Get
			Private Set(ByVal value As Integer)
				privateAge = value
			End Set
		End Property

		Private privateFullName As String
		Public Property FullName As String
			Get
				Return privateFullName
			End Get
			Private Set(ByVal value As String)
				privateFullName = value
			End Set
		End Property

		Private privateIsNew As Boolean
		Public Property IsNew As Boolean
			Get
				Return privateIsNew
			End Get
			Private Set(ByVal value As Boolean)
				privateIsNew = value
			End Set
		End Property

		' SignalR extension
		Public Property SignalRConnectionId As String
	End Class
End Namespace
