Imports Microsoft.AspNet.SignalR

Namespace BankDemo.Application
	Public Class AccountRequestHub
		Inherits Hub

		Public Sub NotifyReceived(ByVal connId As String, ByVal requestId As Guid)
			Dim hubContext = GlobalHost.ConnectionManager.GetHubContext(Of AccountRequestHub)()
			hubContext.Clients.Client(connId).requestReceived(requestId)
		End Sub

		Public Sub NotifyDenormalized(ByVal connId As String)
			Dim hubContext = GlobalHost.ConnectionManager.GetHubContext(Of AccountRequestHub)()
			hubContext.Clients.Client(connId).requestDenormalized
		End Sub

		Public Sub NotifyApproved(ByVal connId As String)
			Dim hubContext = GlobalHost.ConnectionManager.GetHubContext(Of AccountRequestHub)()
			hubContext.Clients.Client(connId).requestApproved
		End Sub

		'public void NotifyProgress(string connId, int percentage)
		'{
		'    var hubContext = GlobalHost.ConnectionManager.GetHubContext<AccountRequestHub>();
		'    hubContext.Clients.Client(connId).updateProgressBar(percentage, connId);
		'}

		'public void NotifyEnd(string connId)
		'{
		'    var hubContext = GlobalHost.ConnectionManager.GetHubContext<AccountRequestHub>();
		'    hubContext.Clients.Client(connId).clearProgressBar;
		'}
	End Class
End Namespace
