Imports System.Web.Mvc
Imports BankDemo.Application

Namespace BankDemo.Controllers
	Public Class DashboardController
		Inherits Controller

		Private ReadOnly _service As DashboardService

		Public Sub New()
			_service = New DashboardService(MvcApplication.AggregateRepository)
		End Sub

		Public Function Index() As ActionResult
			Dim model = _service.GetDashboardViewModel
			Return View(model)
		End Function

		Public Function More(<Bind(Prefix:="id")> ByVal requestId As String) As ActionResult
            Dim guid = System.Guid.Parse(requestId)
            Dim model = _service.GetRequestDetails(guid)
			Return View(model)
		End Function
	End Class
End Namespace
