Imports System.Web.Mvc
Imports BankDemo.Application
Imports BankDemo.Models

Namespace BankDemo.Controllers
	Public Class RequestController
		Inherits Controller

		Private ReadOnly _service As New RequestService(MvcApplication.Bus)

		<HttpGet>
		Public Function Apply() As ActionResult
			Dim model = NewAccountRequestViewModel.Default
			Return View(model)
		End Function

		<HttpPost>
		Public Function Apply(ByVal input As NewAccountRequestViewModel, ByVal connectionId As String) As ActionResult
			_service.ApplyRequestForNewBankAccount(input, connectionId)

			Return RedirectToAction("index", "home")
		End Function
	End Class
End Namespace
