Imports Memento

Namespace Hello1.CommandStack.Events
	Public Class AccountRequestReceivedEvent
		Inherits DomainEvent

		Public Sub New(ByVal id As Guid, ByVal name As String, ByVal age As Integer, Optional ByVal isNew As Boolean = False)
			RequestId = id
			FullName = name
			Me.Age = age
			IsNewCustomer = isNew
		End Sub

		Private privateRequestId As Guid
		Public Property RequestId As Guid
			Get
				Return privateRequestId
			End Get
			Private Set(ByVal value As Guid)
				privateRequestId = value
			End Set
		End Property

		Private privateFullName As String
		Public Property FullName As String
			Get
				Return privateFullName
			End Get
			Private Set(ByVal value As String)
				privateFullName = value
			End Set
		End Property

		Private privateAge As Integer
		Public Property Age As Integer
			Get
				Return privateAge
			End Get
			Private Set(ByVal value As Integer)
				privateAge = value
			End Set
		End Property

		Private privateIsNewCustomer As Boolean
		Public Property IsNewCustomer As Boolean
			Get
				Return privateIsNewCustomer
			End Get
			Private Set(ByVal value As Boolean)
				privateIsNewCustomer = value
			End Set
		End Property
	End Class
End Namespace
