Imports System.Linq

Namespace BankDemo.Cqrs.QueryStack.ReadModel
	Public Class ProjectionManager
		Implements IDisposable

		Private ReadOnly _context As BankContext = Nothing

		Public Sub New()
			_context = New BankContext
			_context.Configuration.AutoDetectChangesEnabled = False
		End Sub

		Public ReadOnly Property Requests As IQueryable(Of PendingRequest)
			Get
				Return _context.Requests
			End Get
		End Property

		Public Sub Dispose() Implements IDisposable.Dispose
			If _context IsNot Nothing Then
				_context.Dispose()
			End If
		End Sub
	End Class
End Namespace
